This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 860588 - ogre is FTBFS on ARM
ogre is FTBFS on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ogre (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-09-26 05:05 EDT by Peter Robinson
Modified: 2012-10-17 08:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: ogre-1.7.4-5.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 08:28:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-09-26 05:05:23 EDT
I'm not sure if this is an ogre problem, a missing dep that provides mach/machine.h or some other packageh

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1154487

cd /builddir/build/BUILD/ogre-1.7.4/build/OgreMain && /usr/bin/c++   -DOgreMain_EXPORTS -DBOOST_ALL_NO_LIB -DOGRE_NONCLIENT_BUILD -DFREEIMAGE_LIB -D_MT -D_USRDLL -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard  -O2 -g -fPIC -I/builddir/build/BUILD/ogre-1.7.4/OgreMain/include -I/builddir/build/BUILD/ogre-1.7.4/build/include -I/usr/include/freetype2 -I/usr/include/OIS -I/builddir/build/BUILD/ogre-1.7.4 -I/builddir/build/BUILD/ogre-1.7.4/OgreMain/include/GLX -I/builddir/build/BUILD/ogre-1.7.4/OgreMain/src/nedmalloc    -pthread -DOGRE_GCC_VISIBILITY -fvisibility=hidden -fvisibility-inlines-hidden -o CMakeFiles/OgreMain.dir/src/OgrePlatformInformation.cpp.o -c /builddir/build/BUILD/ogre-1.7.4/OgreMain/src/OgrePlatformInformation.cpp
/builddir/build/BUILD/ogre-1.7.4/OgreMain/src/OgrePlatformInformation.cpp:45:34: fatal error: mach/machine.h: No such file or directory
compilation terminated.
make[2]: *** [OgreMain/CMakeFiles/OgreMain.dir/src/OgrePlatformInformation.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
Comment 1 Jon Ciesla 2012-10-02 08:42:26 EDT
Debian has a patch for this, I'm trying it out.
Comment 2 Jon Ciesla 2012-10-02 15:17:54 EDT
Committed and built for primary rawhide and f18.  Bodhi coming.
Comment 3 Fedora Update System 2012-10-02 15:19:22 EDT
ogre-1.7.4-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ogre-1.7.4-5.fc18
Comment 4 Fedora Update System 2012-10-03 13:02:14 EDT
Package ogre-1.7.4-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ogre-1.7.4-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15278/ogre-1.7.4-5.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.